[问题]想升级到7.10,可是有错误不让升级.

重复贴和参考价值不大的帖子,版主维护
回复
syweiqiang
帖子: 15
注册时间: 2007-07-21 1:16
送出感谢: 0
接收感谢: 0

[问题]想升级到7.10,可是有错误不让升级.

#1

帖子 syweiqiang » 2007-10-14 22:25

syxdun@syxdun-desktop:~$ sudo sed -i 's/feisty/gutsy/' /etc/apt/sources.list
Password:
syxdun@syxdun-desktop:~$ sudo apt-get update
E: 无法获得锁 /var/lib/apt/lists/lock - open (11 Resource temporarily unavailable)
E: 无法对状态列表目录加锁

提示如上,请问怎么办?
头像
lll9p
帖子: 1806
注册时间: 2007-07-18 18:56
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 lll9p » 2007-10-14 22:48

看看有没有别的apt在运行,有的话结束它。

或者重启系统亦可
gmlbh
帖子: 406
注册时间: 2006-03-21 10:47
送出感谢: 0
接收感谢: 0

#3

帖子 gmlbh » 2007-10-14 22:49

你是不是一边打开新利得一边用终端打命令升级啊??把新立得关掉。
butterflyin
帖子: 249
注册时间: 2006-11-08 10:06
送出感谢: 0
接收感谢: 0

#4

帖子 butterflyin » 2007-10-15 7:56

如果不想重启,而以上所说都不是的话,就sudo rm /var/lib/apt/lists/lock
一劳永逸!~
回复

回到 “归档贴”